Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.shoppingcart
Interface ShoppingCartConstants

public interface ShoppingCartConstants

This class defines constants that are used in the `ShoppingCart` and `ShoppingCartLine`

See Also:
  `ShoppingCartLine`, `ShoppingCartLineHome`

Field Summary
`static int` | `LINE_ADJUSTMENTS` Used to signify that the total returned from getTotal() or getLineTotal() methods should include the line adjustments
`static int` | `LINE_SHIPPING` Used to signify that the total returned from getTotal() or getLineTotal() methods should include the line shipping costs
`static int` | `LINE_TAX` Used to signify that the total returned from getTotal() or getLineTotal() methods should include the line tax
`static int` | `LINE_UNIT_PRICE_TIMES_QUANTITY` Used to signify that the total returned from getTotal() or getLineTotal() methods should include the line quantity * unit price
`static int` | `SHOPPING_CART_ADJUSTMENTS` Used to signify that the total returned from getTotal() method should include the shopping cart level tax
`static int` | `SHOPPING_CART_SHIPPING` Used to signify that the total returned from getTotal() method should include the shopping cart level shipping costs

Field Detail

### LINE_UNIT_PRICE_TIMES_QUANTITY

    public static final int LINE_UNIT_PRICE_TIMES_QUANTITY

  Used to signify that the total returned from getTotal() or getLineTotal() methods should include the line quantity * unit price

### LINE_ADJUSTMENTS

    public static final int LINE_ADJUSTMENTS

  Used to signify that the total returned from getTotal() or getLineTotal() methods should include the line adjustments

### LINE_SHIPPING

    public static final int LINE_SHIPPING

  Used to signify that the total returned from getTotal() or getLineTotal() methods should include the line shipping costs

### LINE_TAX

    public static final int LINE_TAX

  Used to signify that the total returned from getTotal() or getLineTotal() methods should include the line tax

### SHOPPING_CART_ADJUSTMENTS

    public static final int SHOPPING_CART_ADJUSTMENTS

  Used to signify that the total returned from getTotal() method should include the shopping cart level tax

### SHOPPING_CART_SHIPPING

    public static final int SHOPPING_CART_SHIPPING

  Used to signify that the total returned from getTotal() method should include the shopping cart level shipping costs

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved